InvalidInputException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.input, class: InvalidInputException

Package org.apache.hadoop.mapreduce.lib.input

# Class InvalidInputException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.mapreduce.lib.input.InvalidInputException

All Implemented Interfaces:
  `Serializable`

@Public @Stable public class InvalidInputException extends IOException
This class wraps a list of problems with the input, so that the user can get a list of problems together instead of finding and fixing them one by one.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidInputException(List<IOException> probs)`
  Create the exception with the given list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  Get a summary message of the problems found.
  `List<IOException>`
  `getProblems()`
  Get the complete list of the problems reported.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidInputException

    public InvalidInputException(List<IOException> probs)
    Create the exception with the given list. The first element of the list is used as the init cause value.
    Parameters:
      `probs` - the list of problems to report. this list is not copied.

- ## Method Details

  - ### getProblems

    public List<IOException> getProblems()
    Get the complete list of the problems reported.
    Returns:
      the list of problems, which must not be modified

  - ### getMessage

    public String getMessage()
    Get a summary message of the problems found.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      the concatenated messages from all of the problems.